=== debian/changelog ===
gnat-gps (19.2-3ubuntu2) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: gnat-gps: Recommend gdb | gdb-minimal.
    - Build with -O2 on ppc64el (avoiding a FTBFS).
  * Build on armhf as well.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Feb 2020 08:00:33 +0100

gnat-gps (19.2-3) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Use Debhelper 12 dh-sequence- syntax in Build-Dependencies.
  * Standards-Version: 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 19:05:42 +0100

gnat-gps (19.2-2) experimental; urgency=medium

  * Fix project name for renamed libgpr -> libgnatprj.
  * Fix creation of javascript symbolic links. Closes: #947268.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 31 Dec 2019 12:09:26 +0100

gnat-gps (19.2-1) experimental; urgency=medium

  * New upstream release.
  * Download from git, upstream does not release tarballs anymore.
    Repackage with a script, instead of Files-Excluded.
    Remove VCS stuff, empty directories, silly permissions.
    Remove javascript libs and depend on without dh_linktree.
  * Debhelper 12 does not compress examples anymore.
  * Rebuild with gcc-9 and updated dependencies. Closes: #925699.
  * Split -arch and -indep dependencies.
  * Standard-Versions 4.4.1.
  * Move VCS to salsa.debian.org.
  * Rewrite the clang wrapper generator patch.
  * Sort files in refreshed patches.
  * Remove linker options only making sense with libraries.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 21 Dec 2019 17:07:58 +0100
